# -*- coding: utf-8 -*-
# Copyright 2023 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from google.cloud.gkehub_v1beta1 import gapic_version as package_version

__version__ = package_version.__version__


from .services.gke_hub_membership_service import (
    GkeHubMembershipServiceAsyncClient,
    GkeHubMembershipServiceClient,
)
from .types.membership import (
    ApplianceCluster,
    Authority,
    ConnectAgent,
    ConnectAgentResource,
    CreateMembershipRequest,
    DeleteMembershipRequest,
    EdgeCluster,
    GenerateConnectManifestRequest,
    GenerateConnectManifestResponse,
    GenerateExclusivityManifestRequest,
    GenerateExclusivityManifestResponse,
    GetMembershipRequest,
    GkeCluster,
    KubernetesMetadata,
    KubernetesResource,
    ListMembershipsRequest,
    ListMembershipsResponse,
    Membership,
    MembershipEndpoint,
    MembershipState,
    MonitoringConfig,
    MultiCloudCluster,
    OnPremCluster,
    OperationMetadata,
    ResourceManifest,
    ResourceOptions,
    TypeMeta,
    UpdateMembershipRequest,
    ValidateExclusivityRequest,
    ValidateExclusivityResponse,
)

__all__ = (
    "GkeHubMembershipServiceAsyncClient",
    "ApplianceCluster",
    "Authority",
    "ConnectAgent",
    "ConnectAgentResource",
    "CreateMembershipRequest",
    "DeleteMembershipRequest",
    "EdgeCluster",
    "GenerateConnectManifestRequest",
    "GenerateConnectManifestResponse",
    "GenerateExclusivityManifestRequest",
    "GenerateExclusivityManifestResponse",
    "GetMembershipRequest",
    "GkeCluster",
    "GkeHubMembershipServiceClient",
    "KubernetesMetadata",
    "KubernetesResource",
    "ListMembershipsRequest",
    "ListMembershipsResponse",
    "Membership",
    "MembershipEndpoint",
    "MembershipState",
    "MonitoringConfig",
    "MultiCloudCluster",
    "OnPremCluster",
    "OperationMetadata",
    "ResourceManifest",
    "ResourceOptions",
    "TypeMeta",
    "UpdateMembershipRequest",
    "ValidateExclusivityRequest",
    "ValidateExclusivityResponse",
)
